%global _empty_manifest_terminate_build 0
Name:           python-flake8-import-order
Version:        0.18.2
Release:        1
Summary:        Flake8 and pylama plugin that checks the ordering of import statements.
License:        LGPLv3 and MIT and GPLv3
URL:            https://github.com/PyCQA/flake8-import-order
Source0:        https://files.pythonhosted.org/packages/23/55/181d5e1b70ff1c7e1ee1d5e2247dfd53f1168fe706656f57e788aa1df2ab/flake8-import-order-0.18.2.tar.gz
BuildArch:      noarch

Requires:	python3-flake8
Requires:	python3-pylama
Requires:	python3-pycodestyle
Requires:	python3-setuptools
Requires:	python3-enum34
Requires:	python3-pyflakes

%description
A flake8 and Pylama plugin that checks the ordering of your imports. It does
not check anything else about the imports. Merely that they are grouped and ordered correctly.

%package -n python3-flake8-import-order
Summary:        Flake8 and pylama plugin that checks the ordering of import statements.
Provides:       python-flake8-import-order
BuildRequires:	python3-devel
BuildRequires:	python3-setuptools
BuildRequires:	python3-pbr
BuildRequires:	python3-pip
BuildRequires:	python3-wheel
BuildRequires:	python3-pycodestyle
BuildRequires:	python3-enum34
BuildRequires:	python3-pylama
BuildRequires:	python3-flake8
BuildRequires:	python3-pyflakes
BuildRequires:	python3-pytest

%description -n python3-flake8-import-order
A flake8 and Pylama plugin that checks the ordering of your imports. It does
not check anything else about the imports. Merely that they are grouped and ordered correctly.

%package help
Summary:        Flake8 and pylama plugin that checks the ordering of import statements.
Provides:       python3-flake8-import-order-doc
%description help
A flake8 and Pylama plugin that checks the ordering of your imports. It does
not check anything else about the imports. Merely that they are grouped and ordered correctly.

%prep
%autosetup -n flake8-import-order-%{version}

%build
%py3_build

%install
%py3_install
install -d -m755 %{buildroot}/%{_pkgdocdir}
if [ -d doc ]; then cp -arf doc %{buildroot}/%{_pkgdocdir}; fi
if [ -d docs ]; then cp -arf docs %{buildroot}/%{_pkgdocdir}; fi
if [ -d example ]; then cp -arf example %{buildroot}/%{_pkgdocdir}; fi
if [ -d examples ]; then cp -arf examples %{buildroot}/%{_pkgdocdir}; fi
pushd %{buildroot}
if [ -d usr/lib ]; then
    find usr/lib -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/lib64 ]; then
    find usr/lib64 -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/bin ]; then
    find usr/bin -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/sbin ]; then
    find usr/sbin -type f -printf "/%h/%f\n" >> filelist.lst
fi
touch doclist.lst
if [ -d usr/share/man ]; then
    find usr/share/man -type f -printf "/%h/%f.gz\n" >> doclist.lst
fi
popd
mv %{buildroot}/filelist.lst .
mv %{buildroot}/doclist.lst .

%check
%{__python3} setup.py develop --user
%{__python3} -m pytest -v

%files -n python3-flake8-import-order -f filelist.lst
%dir %{python3_sitelib}/*

%files help -f doclist.lst
%{_docdir}/*

%changelog
* Fri Dec 16 2022 liqiuyu <liqiuyu@kylinos.cn> - 0.18.2-1
- Update package to version 0.18.2

* Tue Nov 16 2021 OpenStack_SIG <openstack@openeuler.org> - 0.18.1-2
- Correct %check to run tests

* Tue Jul 13 2021 OpenStack_SIG <openstack@openeuler.org> - 0.18.1-1
- Package Spec generate
